# GNUmakefile          Section: 4.4  Medial Axis Transform (MAT)
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES =
CLOSUREOBJS       =

HEADERS = mat.h
LOBJS   = mat.o

SOURCES	= mat.h mat.c  test-mat.c
TESTS	= test-mat

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

mat.srcs:	mat.h  mat.c

mat.o:	mat.srcs

ifeq (${LIBTEST},)
test-mat.o:	test-mat.c  mat.o

test-mat:	test-mat.o  mat.o
	${LINK.cc} -o $@  $@.o mat.o ${LDLIBS}
	strip $@

else
test-mat.o:	test-mat.c

endif
